<template>

    <!-- <ConfirmationDialog ref="deleteConfirmation" title="Delete Platform" message="Are you sure you want to delete this platform?" :verificationString="pendingDeletePlatform.name"  @confirm="deletePlatform()" /> -->
    <v-card>
        <v-card-title class="text-h5">
            Backups
        </v-card-title>


        <v-container>



                <v-card-subtitle class="text-h6">
                    Existing Backups
                </v-card-subtitle>
    
                <VDataTable 
                    :headers="headers" 
                    :items="backups" 
                    :items-per-page="25"
                    item-value="name" 
                    hide-default-footer
                    align="left"
                    row-class="hightlight-row"
                    >
    
            
                </VDataTable>


            </v-container>
      

    </v-card>
</template>
<style>

.highlight-row:hover {
  background-color: #3b6e3d;
  cursor: pointer;
}

</style>
<script>
import { ref, onMounted, computed, reactive, watch } from "vue";
import { useAuthStore } from "@/store/auth";
import { VDataTable } from "vuetify/labs/VDataTable";
import { useRouter } from 'vue-router'
import ConfirmationDialog from "../ConfirmationDialog.vue";



export default {
    props:{ },
    setup(props ) {
        const authStore = useAuthStore();
        const router= useRouter();

        const authUser = computed(() => {
            return authStore.user;
        });


       const backups = computed(() => {
            return authStore.backups;
        });
        
        const deleteConfirmation = ref(null);


        onMounted(() => {
           authStore.fetchBackups();
        });

 
        const headers = ref([
            { align: 'left' , title: 'Name', key: 'name', sortable: false },
            { align: 'left', title: 'Size', key: 'size', sortable: false },
            { align: 'left', title: 'Date', key: 'date' },
            { align: 'left', title: 'Actions', key: 'actions', sortable: false, width: "20%"},
        ]);


        function onRowClick(e, { item }){

            //router.push({ name: 'platforms', params: { platformId: item.value } });
           //router.push('/platforms/' + item.value);

        }



        function verifyDelete(user) {
            
        }

        function deleteUser () 
        {

        }


        return {
            backups,
            headers
        }
    },
    components: {
    VDataTable,
    ConfirmationDialog
}
}


</script>
